#include "fs/devices/Console.h"
#include "config.h"
#include "render/TextRenderer.h"
#include "std/stdio.h"
#include "std/stdlib.h"
#include "std/string.h"

VFS::Node* ConsoleDevice::create_new()
{
    VFS::Node* dev = new VFS::Node;
    dev->write_func = ConsoleDevice::write;
    dev->inode = 0;
    dev->length = 0;
    dev->type = VFS_FILE;
    dev->flags = 0;
    strncpy(dev->name, "console", sizeof(dev->name));
    return dev;
}

ssize_t ConsoleDevice::write(VFS::Node* node, size_t, size_t size, const char* buffer)
{
    if (!node) return -1;
    TextRenderer::write(buffer, size);
    return (ssize_t)size;
}